Bug 1289033 - MacBook Pro (Retina, 15-inch, Mid 2015) Screen Brightness Adjustment Broken [NEEDINFO]
MacBook Pro (Retina, 15-inch, Mid 2015) Screen Brightness Adjustment Broken
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-07 04:53 EST by Sam Hegarty
Modified: 2016-10-26 12:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-26 12:52:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (hegarty.sam)

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 105051 None None None Never

  None (edit)
Description Sam Hegarty 2015-12-07 04:53:24 EST
Description of problem: Screen Brightness adjustment does not work and isn't available as an option using the provided gnome GUI tools.

Version-Release number of selected component (if applicable): Latest 'stable' and whatever is currently included with the 'livecd' image. Have not tested anything else but possibly was broken with those as well.

How reproducible: Always

Steps to Reproduce:
1. Boot Fedora

Actual results: Unable to adjust screen brightness via hotkeys, using the gnome system settings tool (no screen brightness option is available, only keyboard backlight brightness) or via manually setting in /sys/ files

Additional info: /sys/class/backlight/gmux_backlight/max_brightness is reported as -1

Have tried booting with acpi_backlight=vendor and a few other parameters but had no effect.

Laptop is a MacBook Pro (Retina, 15-inch, Mid 2015)
  - Model Identifier: MacBookPro11,5
  - Intel Iris Pro Built-in
  - AMD Radeon R9 M370X on PCIe Bus
Comment 1 Laura Abbott 2016-09-23 15:41:11 EDT
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:52:36 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.